swagger: '2.0'
info:
  description: Configuration for Af report for ICA Session InActive resource.
  version: 'v2'
  title: inactive_ica_session
host: 'adm.cloud.com'
schemes:
 - https
# tags are used for organizing operations
tags:
  - name: inactive_ica_session
    description: Af report for ICA Session InActive
consumes:
  - application/json
produces:
  - application/json
securityDefinitions:
  UserSecurity:
    type: basic
security:
  - UserSecurity: []
parameters:
  authParam:
      in: header
      name: Authorization
      type: string
      required: true
      description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
  cloudParam:
      in: header
      name: isCloud
      type: string
      required: true
      description: set the value to true in case of Cloud services, false for on-prem deployment
paths:
  /massvc/{customerid}/nitro/v2/config/inactive_ica_session:
    get:
      tags:
        - inactive_ica_session
      summary: GET all inactive_ica_session
      operationId: getall_inactive_ica_session
      description: Af Report for ICA User.
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - in: path
          name: customerid
          type: string
          required: true
          description: Customer Id of the user
        - in: header
          name: Authorization
          type: string
          required: true
          description: Session Id for authentication.Should be mentioned in the format CwsAuth bearer=sessionIdValue
        - in: header
          name: isCloud
          type: string
          required: true
          description: set the value to true in case of Cloud services, false for on-prem deployment
        - in: query
          name: filter
          type: string
          required: false
          description: "Use this query-parameter to get the filtered set of vm_device resources configured on the system. You can set a filter on any property of the resource.Example:  property-name1:property-value1 "
        - in: query
          name: pagesize
          type: integer
          required: false
          description: Use this query-parameter to get the inactive_ica_session resources in chunks.To be used along with pageno query parameter.
        - in: query
          name: pageno
          type: integer
          required: false
          description: Use this query-parameter to get the inactive_ica_session resources in chunks.To be used along with pagesize query parameter.
        - in: query
          name: count
          type: string
          required: false
          description: Use this query-parameter to get the count of inactive_ica_session resources.
          enum:
            - yes
      responses:
        200:
          description:  for inactive_ica_session
          schema: 
              $ref: '#/definitions/getinactive_ica_sessionsResponse'
        400:
          description: Bad input parameter
          schema: 
              $ref: '#/definitions/Error'
        401:
          description: Failed Authentication
          schema: 
              $ref: '#/definitions/Error'
        403:
          description: Unauthorized
          schema: 
              $ref: '#/definitions/Error'
        404:
          description: Item not found
          schema: 
              $ref: '#/definitions/Error'
        409:
          description: Resource Conflict
          schema: 
              $ref: '#/definitions/Error'
        500:
          description: Server Error
          schema: 
              $ref: '#/definitions/Error'
        504:
          description: Gateway Timeout
          schema: 
              $ref: '#/definitions/Error'

definitions:
  getinactive_ica_sessionResponse:
    type: object
    required:
      - inactive_ica_session
    properties:
      inactive_ica_session:
        $ref: '#/definitions/inactive_ica_session'
    title: getinactive_ica_sessionResponse
    example:
      inactive_ica_session:
        hdx_desktop_username: "user1"
        launch_duration: "5"
        total_bytes: "403.2"
        client_ip_address: "1.1.1.1"
        pn_agent_version: "1.1"
        client_latency: "10"
        application_enumeration_duration: "10"
        serverside_rto: "10"
        server_ip_address: "1.1.1.1"
        rpt_sample_time: "1547829000"
        clientside_0_win: "10"
        bandwidth: "10"
        session_setup_time: "1547829293"
        clientside_rto: "10"
        ica_app_name: "test_app"
        session_rtt: "10"
        ica_user_name: "test_user"
        __count: "10"
        state: "Active"
        device_type: "0"
        server_jitter: "10"
        id: "00000000-0000-375c-0000-000400000004"
        client_jitter: "0"
        server_latency: "10"
        serverside_0_win: "10"
        session_type: "1"
        session_duration: "100"
        ica_rtt: "10"
        client_srtt: "0"
        edt_type: "0"
        ica_device_ip_address: "1.1.1.1"
        receiver_version: "14.1.12"
        vdi_image_name: "image1"
        up_time: "10"
        client_tx_bytes: "13"
        client_rx_bytes: "103"
        server_srtt: "0"
        session_end_time: "1547829393"

  getinactive_ica_sessionsResponse:
    type: object
    required:
      - inactive_ica_session
    properties:
      inactive_ica_session:
        type: array
        items:
          $ref: '#/definitions/inactive_ica_session'
    title: getinactive_ica_sessionsResponse
    example:
      inactive_ica_session:
        hdx_desktop_username: "user1"
        launch_duration: "5"
        total_bytes: "403.2"
        client_ip_address: "1.1.1.1"
        pn_agent_version: "1.1"
        client_latency: "10"
        application_enumeration_duration: "10"
        serverside_rto: "10"
        server_ip_address: "1.1.1.1"
        rpt_sample_time: "1547829000"
        clientside_0_win: "10"
        bandwidth: "10"
        session_setup_time: "1547829293"
        clientside_rto: "10"
        ica_app_name: "test_app"
        session_rtt: "10"
        ica_user_name: "test_user"
        __count: "10"
        state: "Active"
        device_type: "0"
        server_jitter: "10"
        id: "00000000-0000-375c-0000-000400000004"
        client_jitter: "0"
        server_latency: "10"
        serverside_0_win: "10"
        session_type: "1"
        session_duration: "100"
        ica_rtt: "10"
        client_srtt: "0"
        edt_type: "0"
        ica_device_ip_address: "1.1.1.1"
        receiver_version: "14.1.12"
        vdi_image_name: "image1"
        up_time: "10"
        client_tx_bytes: "13"
        client_rx_bytes: "103"
        server_srtt: "0"
        session_end_time: "1547829393"

  inactive_ica_session_readwrite:
    type: object
    properties:
      launch_duration:
        description: "ica session launch duration."
        type: number
        format: double
      total_bytes:
        description: "Total bytes accounted by this URL in sampled timeframe."
        type: number
        format: double
      pn_agent_version:
        description: "Name of ICA session pn agent version"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      client_latency:
        description: "ica session client latency."
        type: number
        format: double
      application_enumeration_duration:
        description: "Time taken for app enumeration to launch."
        type: number
        format: double
      serverside_rto:
        description: "serverside rto."
        type: number
        format: double
      rpt_sample_time:
        description: "Report Sample time."
        type: number
        format: double
      clientside_0_win:
        description: "Client side 0 window count."
        type: number
        format: double
      bandwidth:
        description: "Avg Bandwidth."
        type: number
        format: double
      session_setup_time:
        description: "ICA Session setup time."
        type: number
        format: double
      clientside_rto:
        description: "clientside rto."
        type: number
        format: double
      session_rtt:
        description: "ICA Session rtt."
        type: number
        format: double
      __count:
        description: "count."
        type: number
        format: double
      state:
        description: "ICA Session state."
        type: string
        format: string
      device_type:
        description: "Device Type."
        type: string
        format: string
      server_jitter:
        description: "ICA User server jitter."
        type: number
        format: double
      id:
        description: "Id is ICA Session ID"
        type: string
        format: uuid
        minLength: 1
        maxLength: 64
      client_jitter:
        description: "ICA User client jitter."
        type: number
        format: double
      server_latency:
        description: "ica session server latency."
        type: number
        format: double
      serverside_0_win:
        description: "server side 0 window count."
        type: number
        format: double
      session_type:
        description: "Session Type"
        type: number
        format: double
      session_duration:
        description: "session duration."
        type: number
        format: double
      ica_rtt:
        description: "ICA rtt."
        type: number
        format: double
      client_srtt:
        description: "client Smothen RTT."
        type: number
        format: double
      edt_type:
        description: "EDT Type."
        type: string
        format: string
      receiver_version:
        description: "Name of ICA session receiver version"
        type: string
        format: string
        minLength: 1
        maxLength: 128
      vdi_image_name:
        description: "vdi_image_name"
        type: string
        format: string
      up_time:
        description: "ica session up time."
        type: number
        format: double
      client_tx_bytes:
        description: "Client Side Tx bytes."
        type: number
        format: double
      client_rx_bytes:
        description: "Client Side Rx bytes."
        type: number
        format: double
      server_srtt:
        description: "server Smothen RTT."
        type: number
        format: double
      session_end_time:
        description: "ICA Session end time."
        type: number
        format: double

  inactive_ica_session:
    allOf:
      - $ref: '#/definitions/inactive_ica_session_readwrite'

  Error:
    properties:
      errorcode:
        type: number
        format: int32
        example: 1001
      errormessage:
        type: string
        format: string
        example: "id cannot be found"
